Chromium Code Reviews
Help | Chromium Project | Sign in
(10)

Issue 2703463002: [List UI Unification] Basic list unification for phones (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 6 days ago by Theresa
Modified:
1 week, 4 days ago
CC:
chromium-reviews, asanka, tfarina, browser-components-watch_chromium.org, agrieve+watch_chromium.org, shaktisahu, dfalcantara (load balance plz)
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[List UI Unification] Basic list unification for phones - Changes bookmarks and downloads background color on phones to grey - Make SelectableListLayout in charge of toolbar shadow visibility - Update bookmark/download item padding - Move some duplicate search code to SelectableListLayout BUG=687640 Review-Url: https://codereview.chromium.org/2703463002 Cr-Commit-Position: refs/heads/master@{#451380} Committed: https://chromium.googlesource.com/chromium/src/+/868be9f79e939e2839e6a9fee6a7629cb93380f4

Patch Set 1 #

Patch Set 2 : [List UI Unification] Basic list unification for phones #

Total comments: 11

Patch Set 3 : [List UI Unification] Basic list unification for phones #

Unified diffs Side-by-side diffs Delta from patch set Stats (+301 lines, -128 lines) Patch
M chrome/android/java/res/layout/bookmark_folder_row.xml View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/res/layout/bookmark_main.xml View 1 1 chunk +3 lines, -3 lines 0 comments Download
M chrome/android/java/res/layout/date_view.xml View 1 1 chunk +4 lines, -7 lines 0 comments Download
M chrome/android/java/res/layout/download_main.xml View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/res/layout/history_date_view.xml View 1 1 chunk +1 line, -6 lines 0 comments Download
M chrome/android/java/res/layout/history_item_view.xml View 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/android/java/res/values-v17/styles.xml View 1 1 chunk +9 lines, -1 line 0 comments Download
M chrome/android/java/res/values/dimens.xml View 1 1 chunk +1 line, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkItemsAdapter.java View 1 2 8 chunks +51 lines, -4 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkManager.java View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkRow.java View 1 2 4 chunks +20 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/download/ui/DownloadItemView.java View 1 4 chunks +15 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/download/ui/DownloadManagerUi.java View 5 chunks +6 lines, -11 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/history/HistoryAdapter.java View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/history/HistoryItemView.java View 1 3 chunks +4 lines, -16 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/history/HistoryManager.java View 14 chunks +4 lines, -46 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/widget/selection/SelectableItemView.java View 1 2 chunks +51 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/widget/selection/SelectableListLayout.java View 1 2 10 chunks +114 lines, -26 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/widget/selection/SelectableListToolbar.java View 1 chunk +8 lines, -0 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/history/HistoryActivityTest.java View 2 chunks +2 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Depends on Patchset:

Messages

Total messages: 25 (17 generated)
Theresa
fyi -- this isn't quite ready for review yet but some of it will conflict ...
1 week, 6 days ago (2017-02-15 23:58:46 UTC) #2
Theresa
ptal
1 week, 6 days ago (2017-02-16 17:21:21 UTC) #8
dfalcantara (load balance plz)
https://codereview.chromium.org/2703463002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkItemsAdapter.java File chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkItemsAdapter.java (right): https://codereview.chromium.org/2703463002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkItemsAdapter.java#newcode82 chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkItemsAdapter.java:82: if (DeviceFormFactor.isLargeTablet(context)) { You should probably just have a ...
1 week, 5 days ago (2017-02-17 01:45:02 UTC) #12
Theresa
https://codereview.chromium.org/2703463002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkItemsAdapter.java File chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkItemsAdapter.java (right): https://codereview.chromium.org/2703463002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkItemsAdapter.java#newcode82 chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkItemsAdapter.java:82: if (DeviceFormFactor.isLargeTablet(context)) { On 2017/02/17 01:45:02, dfalcantara (load balance ...
1 week, 5 days ago (2017-02-17 17:34:28 UTC) #14
dfalcantara (load balance plz)
lgtm https://codereview.chromium.org/2703463002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/selection/SelectableListLayout.java File chrome/android/java/src/org/chromium/chrome/browser/widget/selection/SelectableListLayout.java (right): https://codereview.chromium.org/2703463002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/selection/SelectableListLayout.java#newcode70 chrome/android/java/src/org/chromium/chrome/browser/widget/selection/SelectableListLayout.java:70: // shadow. On 2017/02/17 17:34:28, Theresa wrote: > ...
1 week, 4 days ago (2017-02-17 17:57:51 UTC) #16
commit-bot: I haz the power
This CL has an open dependency (Issue 2691373004 Patch 60001). Please resolve the dependency and ...
1 week, 4 days ago (2017-02-17 18:23:25 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2703463002/40001
1 week, 4 days ago (2017-02-17 19:57:56 UTC) #22
commit-bot: I haz the power
1 week, 4 days ago (2017-02-17 21:08:18 UTC) #25
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/868be9f79e939e2839e6a9fee6a7...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f8e48bd